Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ChunkCache

    java.lang.Object
      net.minecraft.src.ChunkCache

All Implemented Interfaces:
  IBlockAccess

    public class ChunkCache

extends Object
implements IBlockAccess

Constructor Summary
`ChunkCache(World par1World, int par2, int par3, int par4, int par5, int par6, int par7)`

Method Summary
`boolean` | `doesBlockHaveSolidTopSurface(int par1, int par2, int par3)`
`boolean` | `extendedLevelsInChunkCache()`
`BiomeGenBase` | `getBiomeGenForCoords(int par1, int par2)`
`int` | `getBlockId(int par1, int par2, int par3)` Returns the block ID at coords x,y,z
`Material` | `getBlockMaterial(int par1, int par2, int par3)` Returns the block's material.
`int` | `getBlockMetadata(int par1, int par2, int par3)` Returns the block metadata at coords x,y,z
`TileEntity` | `getBlockTileEntity(int par1, int par2, int par3)` Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists
`float` | `getBrightness(int par1, int par2, int par3, int par4)`
`int` | `getHeight()`
`float` | `getLightBrightness(int par1, int par2, int par3)`
`int` | `getLightBrightnessForSkyBlocks(int par1, int par2, int par3, int par4)`
`int` | `getLightValue(int par1, int par2, int par3)`
`int` | `getLightValueExt(int par1, int par2, int par3, boolean par4)`
`int` | `getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
`int` | `getSpecialBlockBrightness(EnumSkyBlock par1EnumSkyBlock, int par2, int par3, int par4)`
`Vec3Pool` | `getWorldVec3Pool()` Return the Vec3Pool object for this world.
`boolean` | `isAirBlock(int par1, int par2, int par3)`
`boolean` | `isBlockNormalCube(int par1, int par2, int par3)` Indicate if a material is a normal solid opaque cube.
`boolean` | `isBlockOpaqueCube(int par1, int par2, int par3)`
`boolean` | `isBlockProvidingPowerTo(int par1, int par2, int par3, int par4)` Is this block powering in the specified direction Args: x, y, z, direction

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkCache

    public ChunkCache(World par1World,
                      int par2,
                      int par3,
                      int par4,
                      int par5,
                      int par6,
                      int par7)

Method Detail

### extendedLevelsInChunkCache

    public boolean extendedLevelsInChunkCache()

  Specified by:
    `extendedLevelsInChunkCache` in interface `IBlockAccess`

### getBlockId

    public int getBlockId(int par1,
                          int par2,
                          int par3)

  Returns the block ID at coords x,y,z

  Specified by:
    `getBlockId` in interface `IBlockAccess`

### getBlockTileEntity

    public TileEntity getBlockTileEntity(int par1,
                                         int par2,
                                         int par3)

  Returns the TileEntity associated with a given block in X,Y,Z coordinates, or null if no TileEntity exists

  Specified by:
    `getBlockTileEntity` in interface `IBlockAccess`

### getBrightness

    public float getBrightness(int par1,
                               int par2,
                               int par3,
                               int par4)

  Specified by:
    `getBrightness` in interface `IBlockAccess`

### getLightBrightnessForSkyBlocks

    public int getLightBrightnessForSkyBlocks(int par1,
                                              int par2,
                                              int par3,
                                              int par4)

  Specified by:
    `getLightBrightnessForSkyBlocks` in interface `IBlockAccess`

### getLightBrightness

    public float getLightBrightness(int par1,
                                    int par2,
                                    int par3)

  Specified by:
    `getLightBrightness` in interface `IBlockAccess`

### getLightValue

    public int getLightValue(int par1,
                             int par2,
                             int par3)

### getLightValueExt

    public int getLightValueExt(int par1,
                                int par2,
                                int par3,
                                boolean par4)

### getBlockMetadata

    public int getBlockMetadata(int par1,
                                int par2,
                                int par3)

  Returns the block metadata at coords x,y,z

  Specified by:
    `getBlockMetadata` in interface `IBlockAccess`

### getBlockMaterial

    public Material getBlockMaterial(int par1,
                                     int par2,
                                     int par3)

  Returns the block's material.

  Specified by:
    `getBlockMaterial` in interface `IBlockAccess`

### getBiomeGenForCoords

    public BiomeGenBase getBiomeGenForCoords(int par1,
                                             int par2)

  Specified by:
    `getBiomeGenForCoords` in interface `IBlockAccess`

### isBlockOpaqueCube

    public boolean isBlockOpaqueCube(int par1,
                                     int par2,
                                     int par3)

  Specified by:
    `isBlockOpaqueCube` in interface `IBlockAccess`

### isBlockNormalCube

    public boolean isBlockNormalCube(int par1,
                                     int par2,
                                     int par3)

  Indicate if a material is a normal solid opaque cube.

  Specified by:
    `isBlockNormalCube` in interface `IBlockAccess`

### doesBlockHaveSolidTopSurface

    public boolean doesBlockHaveSolidTopSurface(int par1,
                                                int par2,
                                                int par3)

  Specified by:
    `doesBlockHaveSolidTopSurface` in interface `IBlockAccess`

### getWorldVec3Pool

    public Vec3Pool getWorldVec3Pool()

  Return the Vec3Pool object for this world.

  Specified by:
    `getWorldVec3Pool` in interface `IBlockAccess`

### isAirBlock

    public boolean isAirBlock(int par1,
                              int par2,
                              int par3)

  Specified by:
    `isAirBlock` in interface `IBlockAccess`

### getSkyBlockTypeBrightness

    public int getSkyBlockTypeBrightness(EnumSkyBlock par1EnumSkyBlock,
                                         int par2,
                                         int par3,
                                         int par4)

### getSpecialBlockBrightness

    public int getSpecialBlockBrightness(EnumSkyBlock par1EnumSkyBlock,
                                         int par2,
                                         int par3,
                                         int par4)

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `IBlockAccess`

### isBlockProvidingPowerTo

    public boolean isBlockProvidingPowerTo(int par1,
                                           int par2,
                                           int par3,
                                           int par4)

  Is this block powering in the specified direction Args: x, y, z, direction

  Specified by:
    `isBlockProvidingPowerTo` in interface `IBlockAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD